Package com.documentum.fc.client.acs

# Interface IDfContentTransferConfig

All Superinterfaces:
  `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfContentTransferConfig extends IDfSysObject
Distributed transfer config object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOW_BOCS_ENCRYPTION`
  `static final String`
  `DISABLE_ACS_WRITE`
  `static final String`
  `DISABLE_BOCS_ENCRYPTION`
  `static final String`
  `ENABLE_ACS_ASYNCH_WRITE`
  `static final String`
  `ENABLE_ACS_WRITE`
  `static final String`
  `REQUIRE_BOCS_ENCRYPTION`

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBocsEncryptionMode()`
  Returns BOCS encryption mode in this repository.
  `String`
  `getEffectiveBocsEncryptionMode()`
  Returns BOCS encryption mode in this repository.
  `boolean`
  `isAcsAsynchWriteEnabled()`
  Returns whether ACS asynchronous write mode is enabled in this repository.
  `boolean`
  `isAcsReadEnabled()`
  Returns whether ACS read mode is enabled in this repository.
  `boolean`
  `isAcsWriteEnabled()`
  Returns whether ACS write mode is enabled in this repository.
  `boolean`
  `isBocsPrecachingEnabled()`
  Returns whether BOCS predictive caching is enabled in this repository.
  `void`
  `setAcsReadEnabled(boolean isEnabled)`
  Sets whether ACS read mode is enabled in this repository.
  `void`
  `setAcsWriteMode(String mode)`
  Sets ACS write mode in this repository.
  `void`
  `setBocsEncryptionMode(String mode)`
  Sets BOCS encryption mode in this repository.
  `void`
  `setBocsPrecachingEnabled(boolean isEnabled)`
  Sets whether BOCS predictive caching is enabled in this repository.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getObjectName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setObjectName, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### DISABLE_ACS_WRITE

    static final String DISABLE_ACS_WRITE
    See Also:
      - Constant Field Values

  - ### ENABLE_ACS_WRITE

    static final String ENABLE_ACS_WRITE
    See Also:
      - Constant Field Values

  - ### ENABLE_ACS_ASYNCH_WRITE

    static final String ENABLE_ACS_ASYNCH_WRITE
    See Also:
      - Constant Field Values

  - ### DISABLE_BOCS_ENCRYPTION

    static final String DISABLE_BOCS_ENCRYPTION
    See Also:
      - Constant Field Values

  - ### ALLOW_BOCS_ENCRYPTION

    static final String ALLOW_BOCS_ENCRYPTION
    See Also:
      - Constant Field Values

  - ### REQUIRE_BOCS_ENCRYPTION

    static final String REQUIRE_BOCS_ENCRYPTION
    See Also:
      - Constant Field Values

- ## Method Details

  - ### isAcsReadEnabled

    boolean isAcsReadEnabled() throws DfException
    Returns whether ACS read mode is enabled in this repository.
    Returns:
      `true` if read mode is enabled, `false` otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setAcsReadEnabled

    void setAcsReadEnabled(boolean isEnabled) throws DfException
    Sets whether ACS read mode is enabled in this repository.
    Parameters:
      `isEnabled` - `true` if read mode should be set as enabled, `false` otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### isAcsWriteEnabled

    boolean isAcsWriteEnabled() throws DfException
    Returns whether ACS write mode is enabled in this repository.
    Returns:
      `true` if write mode is enabled, `false` otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### isAcsAsynchWriteEnabled

    boolean isAcsAsynchWriteEnabled() throws DfException
    Returns whether ACS asynchronous write mode is enabled in this repository.
    Returns:
      true, if asynchronous write mode is enabled, false otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setAcsWriteMode

    void setAcsWriteMode(String mode) throws DfException
    Sets ACS write mode in this repository. Write mode values: DISABLE_ACS_WRITE - disable ACS write and ACS asynchronous write ENABLE_ACS_WRITE - enable ACS write, disable ACS asynchronous write ENABLE_ACS_ASYNCH_WRITE - enable ACS write and ACS asynchronous write
    Parameters:
      `mode` - write mode
    Throws:
      `DfException` - if a server error occurs
      `IllegalArgumentException` - if parameter `mode` has incorrect value

  - ### isBocsPrecachingEnabled

    boolean isBocsPrecachingEnabled() throws DfException
    Returns whether BOCS predictive caching is enabled in this repository.
    Returns:
      `true` if BOCS predictive caching is enabled, `false` otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setBocsPrecachingEnabled

    void setBocsPrecachingEnabled(boolean isEnabled) throws DfException
    Sets whether BOCS predictive caching is enabled in this repository.
    Parameters:
      `isEnabled` - `true` if BOCS predictive caching should be set as enabled, `false` otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setBocsEncryptionMode

    void setBocsEncryptionMode(String mode) throws DfException
    Sets BOCS encryption mode in this repository. Supported values:
    `disable`- do not encrypt content from this repository on BOCS
    `allow`- allow, but not require, to encrypt content from this repository on BOCS
    `require`- require content from this repository to be encrypted on BOCS``````
    Parameters:
      `mode` - encryption mode
    Throws:
      `DfException` - if a server error occurs
      `IllegalArgumentException` - if parameter `mode` has incorrect value

  - ### getBocsEncryptionMode

    String getBocsEncryptionMode() throws DfException
    Returns BOCS encryption mode in this repository.
    Returns:
      BOCS encryption mode in this repository
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `setBocsEncryptionMode(String)`

  - ### getEffectiveBocsEncryptionMode

    String getEffectiveBocsEncryptionMode() throws DfException
    Returns BOCS encryption mode in this repository. If value is not set, returns default value - `allow`.``
    Returns:
      BOCS encryption mode in this repository
    Throws:
      `DfException` - if a server error occurs
    See Also:
      - `getBocsEncryptionMode()`